include ../platform-settings

CFLAGS=$(CCFLAGS) -I../jabberd

jud_OBJECTS=jud.o jud_reg.o jud_search.o

all: jud

jud: $(jud_OBJECTS)
ifeq ($(__CYGWIN__),1)
	$(CC) $(CFLAGS) $(MCFLAGS) -o jud.dll $(jud_OBJECTS) ../jabberd/jabberd.a $(LDFLAGS) $(LIBS)
else
	$(CC) $(CFLAGS) $(MCFLAGS) -o jud.so $(jud_OBJECTS) $(LDFLAGS) $(LIBS)
endif

static: $(jud_OBJECTS)

single: $(jud_OBJECTS)

clean:
ifeq ($(__CYGWIN__),1)
	rm -f $(jud_OBJECTS) jud.dll
else
	rm -f $(jud_OBJECTS) jud.so
endif
